package bagaturchess.bitboard.bughouse;

import bagaturchess.bitboard.bughouse.eval.IBughouseBoardEval;
import bagaturchess.bitboard.bughouse.eval.KingAttackEvalI;

public class BughouseEvalFactory {
    public IBughouseBoardEval getEval(String evalVersion, int scaling, String fen) {
        if (evalVersion == null) {
            return null;
        }
        else if (evalVersion.equals("base")) {
            return new KingAttackEvalI(scaling, fen);
        }
        else if (evalVersion.equals("pawnTest")) {
            return new KingAttackEvalI(scaling, fen);
        }
        else if (evalVersion.equals("knightTest")) {
            return new KingAttackEvalI(scaling, fen);
        }
        else if (evalVersion.equals("knightPawnTest")){
            return new KingAttackEvalI(scaling, fen);
        }

        return null;
    }




}
